package com.chantha.redis

interface ICaching {
    fun entries(): Map<String, Any?>
    fun set(key: String, value: Any?)
    fun setValues(key: String, values: MutableSet<Any?>)
    fun rmInValues(key: String, rmValue: Any?)
    fun replace(key: String, newValue: Any?)
    fun get(key: String, fallbackValue: Any? = null): Any?
    fun getStartWith(likeKey: String): MutableMap<String, Any?>
    fun rm(key: String)
    fun rmStartWith(startWithKey: String)
    fun isMatches(key: String, pairValue: Any? = null): Boolean
}