package com.chantha.redis.controller;


import com.chantha.redis.RedisService;
import com.chantha.redis.repository.StudentRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


@RestController
public class MainController implements Serializable {

//    private final StudentRepo studentRepo;
    private static final long serialVersionUID = 4L;
//
    private RedisTemplate<String,Object> redisTemplate;
    private RedisService redisService;
//
    @Autowired
    public MainController(RedisTemplate<String,Object> redisTemplate, RedisService redisService) {
        this.redisTemplate=redisTemplate;
        this.redisService=redisService;
    }
    @GetMapping("/home")
    public String index(){
        redisService.set("chantha999","99999999");
        return "student";
    }

    @GetMapping("/all")
    public String all(){
        return "index";
    }
    @GetMapping("/delete")
    public String delete(){
        redisService.rm("chantha999");
        return "";
    }
    @GetMapping("/get")
    public String get(){
        return redisService.get("chantha999","").toString();
    }
    @GetMapping("/update")
    public String update(){
        redisService.replace("chantha999","Suon Chantha");
       return "";
    }
    @GetMapping("/check")
    public String check(){
        if(redisService.isMatches("chantha999","Suon Chantha"))
            return "true";
        return "false";
    }



}
